FS-UAE 2.5.2dev Released

A new development version has been released. Changes in FS-UAE 2.5.2dev:

  • Merged code from WinUAE 2800b18.
  • SDL2 is now default on all platforms (make sdl=1 to override for now).
  • Fixes to make the windows version compile with SDL2.
  • Fixes for FS-UAE compilation with mingw-w32 4.6.3.
  • fs-uae-device-helper has a new –events mode which continuously prints joystick events to stdout.

Changes in FS-UAE Launcher 2.5.2dev:

  • Can download kickstarts for WHDLoad from OAGD.net locker.
  • Python 3 compatibility fixes.
  • Python 3.2 is target minimum requirement now.
  • PyQt4 is preferred Qt Python API if found.
  • Windows / OS X packages are assembled with cx_Freeze.
  • Dialogs work better in desktop environments w/o close buttons.
  • (Arcade) Arcade is ported to PyQt/Pyside.
  • (Arcade) Fixed device selection screen so unrecognized cannot be selected for input ports.
  • (Arcade) Selected input devices is actually respected.
  • (Arcade) Use fs-uae-device-helper for reading joystick events.
  • (Arcade) pygame is no longer a dependency (Qt is used instead).
  • (Arcade) PIL / python-imaging is no longer a dependency.
  • (Arcade) PyOpenGL is no longer a dependency (bundled instead).
  • (Arcade) numpy is no longer a dependency.

The OS X build of 2.5.2dev is 64-bit only and OS X 10.8+.

Leave a Reply

Your email address will not be published. Required fields are marked *